/**
 * CInput
 * @author Tevin
 */

<template>
    <AtInput
        :name="itemData.name"
        :title="itemData.label"
        :type="type"
        :placeholder="placeholder"
        :required="itemData.required"
        :error="itemData.error"
        :value="itemData.formData[itemData.name]"
        :onChange="evt=>itemData.onChange(evt)"
    >
        <slot />
    </AtInput>
</template>

<script>
import { AtInput } from 'taro-ui-vue';

export default {
    name: 'CInput',
    components: {
        AtInput,
    },
    props: {
        type: String,
        placeholder: String,
        itemData: Object,
    },
};
</script>